Summary:        Network monitoring tools for tracking IP addresses on a network
Name:           arpwatch
Version:        3.3
Release:        5%{?dist}
License:        BSD with advertising
URL:            https://ee.lbl.gov/
Source0:        https://ee.lbl.gov/downloads/arpwatch/arpwatch-%{version}.tar.gz
Source1:        oui.csv
Source2:        arpwatch.service
Source3:        arpwatch.sysconfig
Patch5000:      arp2ethers-sort-para.patch
Patch5001:      no-zero-source.patch
BuildRequires:  gcc, make
BuildRequires:  systemd-rpm-macros, python3-devel, libpcap-devel
Requires(pre):  shadow-utils
Requires:       python3

%global pkgstatedir %{_sharedstatedir}/arpwatch

%description
This package contains arpwatch and arpsnmp. They keep track 
for ethernet/ip address pairings. Their syslogs activity and reports
certain change via email. Arpwatch uses pcap(3) to listen for
arp packets on a local ethernet interface. Arpsnmp reads information
from a file (usually generated by snmpwalk(1)).

%prep
%autosetup -p1

%build
%configure PYTHON=%{__python3} --without-sendmail
%make_build ARPDIR=%{pkgstatedir}

%install
install -d %{buildroot}%{_mandir}/man8 \
    %{buildroot}%{_sbindir} \
    %{buildroot}%{_datadir}/arpwatch \
    %{buildroot}%{pkgstatedir} \
    %{buildroot}%{_unitdir} \
    %{buildroot}%{_prefix}/etc/rc.d

%make_install

%{__python3} massagevendor.py < %{SOURCE1} > %{buildroot}%{pkgstatedir}/ethercodes.dat
touch -r %{SOURCE1} %{buildroot}%{pkgstatedir}/ethercodes.dat

install -pm0644 *.awk %{buildroot}%{_datadir}/arpwatch
install -p arp2ethers %{buildroot}%{_sbindir}
install -p massagevendor.py %{buildroot}%{_sbindir}/massagevendor
install -pm0644 *.dat %{buildroot}%{pkgstatedir}
install -pm0644 %{SOURCE2} %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -pm0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/arpwatch
touch %{buildroot}%{pkgstatedir}/{arp.dat-,arp.dat.new}
rm -rvf %{buildroot}%{_prefix}/etc/rc.d

%post
%systemd_post arpwatch.service


%pre
%global guid 77

groupadd -f -g %{guid} -r arpwatch || :
if ! getent passwd arpwatch > /dev/null
then
  if ! getent passwd %{guid} > /dev/null
  then
    useradd -r -u %{guid} -g arpwatch -d %{pkgstatedir} -s /sbin/nologin -c "Arpwatch service user" arpwatch
  else
    useradd -r -g arpwatch -d %{pkgstatedir} -s /sbin/nologin -c "Arpwatch service user" arpwatch
  fi
fi


%postun
%systemd_postun_with_restart arpwatch.service


%preun
%systemd_preun arpwatch.service


%files
%doc README CHANGES arpfetch
%attr(0755,-,-) %{_sbindir}/arpwatch
%attr(0755,-,-) %{_sbindir}/arpsnmp
%{_sbindir}/arp2ethers
%{_sbindir}/massagevendor
%dir %{_datadir}/arpwatch
%{_datadir}/arpwatch/*.awk
%{_unitdir}/arpwatch.service
%config(noreplace) %{_sysconfdir}/sysconfig/arpwatch
%attr(1775,-,arpwatch) %dir %{pkgstatedir}
%attr(0644,arpwatch,arpwatch) %verify(not md5 size mtime) %config(noreplace) %{pkgstatedir}/arp.dat
%attr(0644,arpwatch,arpwatch) %verify(not md5 size mtime) %config(noreplace) %{pkgstatedir}/arp.dat-
%attr(0600,arpwatch,arpwatch) %verify(not md5 size mtime) %ghost %{pkgstatedir}/arp.dat.new
%attr(0644,-,arpwatch) %verify(not md5 size mtime) %config(noreplace) %{pkgstatedir}/ethercodes.dat
%attr(0644,-,-) %{_mandir}/man8/*.8*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 2 2022 Xin Cheng <denisecheng@tencent.com> - 3.3-2
- remove undefined option "-u" in ExecStart

* Fri Jul 1 2022 cunshunxia <cunshunxia@tencent.com> - 3.3-1
- initial build
